public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-fs/bees/
Date: Mon, 30 May 2022 07:38:45 +0000 (UTC)	[thread overview]
Message-ID: <1653896088.120103aff5d5ec490578cfd51b392e4f532581a5.sam@gentoo> (raw)

commit:     120103aff5d5ec490578cfd51b392e4f532581a5
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon May 30 07:34:48 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon May 30 07:34:48 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=120103af

sys-fs/bees: add 0.7

Closes: https://bugs.gentoo.org/847793
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-fs/bees/Manifest        |  1 +
 sys-fs/bees/bees-0.7.ebuild | 95 +++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 96 insertions(+)

diff --git a/sys-fs/bees/Manifest b/sys-fs/bees/Manifest
index 90c2cb2bccbf..1c7af0985034 100644
--- a/sys-fs/bees/Manifest
+++ b/sys-fs/bees/Manifest
@@ -1 +1,2 @@
 DIST bees-0.6.5.tar.gz 125987 BLAKE2B 459cec5f3c706045ee12a6efe2e32315d71ca16c966bbdb4d6c813f726a7cc411cf4bd272c082ba0bbfc33e9ec4c715a6be773ba929c2b5b31f1731e10ad137c SHA512 db4cf6bc8c7709ee9aa1e2faa2ac1c6323fb8c7407470cec0c370a0f910ec4a1f3cf6ebe695d16383aaec00b62b3de77aa5bbdd47502bdb564e247b3b8879e0b
+DIST bees-0.7.tar.gz 164311 BLAKE2B b0b7f1bc24257e385b6201f473bf9377021d542a257b341c5c8ba5372fa604697e717bb65329d57abf2d2ac4311325e3242c481430629c911fcee3e42e1ea55e SHA512 beee7563ae0ea43247465941ef15f7bab2d86d5d164ccb280c378678b0bf61a67a4718881b94a5f3a72d4d0296eda92bfd7464dae0faeaa72b0e2a4ebef39a53

diff --git a/sys-fs/bees/bees-0.7.ebuild b/sys-fs/bees/bees-0.7.ebuild
new file mode 100644
index 000000000000..a37916aa1764
--- /dev/null
+++ b/sys-fs/bees/bees-0.7.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit linux-info systemd toolchain-funcs
+
+DESCRIPTION="Best-Effort Extent-Same, a btrfs dedup agent"
+HOMEPAGE="https://github.com/Zygo/bees"
+
+if [[ ${PV} == 9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/Zygo/bees.git"
+else
+	SRC_URI="https://github.com/Zygo/bees/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~arm64"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="tools"
+
+DEPEND="
+	>=sys-apps/util-linux-2.30.2
+	>=sys-fs/btrfs-progs-4.20.2
+"
+RDEPEND="${DEPEND}"
+
+CONFIG_CHECK="~BTRFS_FS"
+ERROR_BTRFS_FS="CONFIG_BTRFS_FS: bees does currently only work with btrfs"
+
+pkg_pretend() {
+	if [[ ${MERGE_TYPE} != buildonly ]]; then
+		if kernel_is -lt 4 11; then
+			ewarn "With kernel versions below 4.11, bees may severely degrade system performance"
+			ewarn "and responsiveness. Especially, the kernel may deadlock while bees is"
+			ewarn "running, it's recommended to run at least kernel 4.11."
+			ewarn
+		elif kernel_is -lt 4 14 29; then
+			ewarn "With kernel versions below 4.14.29, bees may generate a lot of bogus WARN_ON()"
+			ewarn "messages in the kernel log. These messages can be ignored and this is fixed"
+			ewarn "with more recent kernels:"
+			ewarn "# WARNING: CPU: 3 PID: 18172 at fs/btrfs/backref.c:1391 find_parent_nodes+0xc41/0x14e0"
+			ewarn
+		fi
+		if kernel_is -lt 5 1 0; then
+			ewarn "IMPORTANT: With kernel versions below 5.1.0, you may experience data corruption"
+			ewarn "due to bees using compression in btrfs. You are adviced to use a chronologically"
+			ewarn "later kernel, that includes older LTS versions released after 5.0.4:"
+			ewarn "Fixed in: 5.1+, 5.0.4+, 4.19.31+, 4.14.108+, 4.9.165+, 4.4.177+, 3.18.137+"
+			ewarn "# commit 8e92821 btrfs: fix corruption reading shared and compressed extents after hole punching"
+			ewarn
+		fi
+		if kernel_is -lt 5 3 4; then
+			ewarn "With kernel versions below 5.3.4, bees may trigger a btrfs bug when running"
+			ewarn "btrfs-balance in parallel. This may lead to meta-data corruption in the worst"
+			ewarn "case. Especially, kernels 5.1.21 and 5.2.21 should be avoided. Kernels 5.0.x"
+			ewarn "after 5.0.21 should be safe. In the best case, affected kernels may force"
+			ewarn "the device RO without writing corrupted meta-data. More details:"
+			ewarn "https://github.com/Zygo/bees/blob/master/docs/btrfs-kernel.md"
+			ewarn
+		fi
+
+		elog "Bees recommends running the latest current kernel for performance and"
+		elog "reliability reasons, see README.md."
+	fi
+}
+
+src_prepare() {
+	default
+	sed -i 's/ -Werror//' makeflags || die
+}
+
+src_configure() {
+	tc-export CC CXX AR
+	cat >localconf <<-EOF || die
+		ETC_PREFIX="${EPREFIX}/etc"
+		LIBEXEC_PREFIX="${EPREFIX}/usr/libexec"
+		PREFIX="${EPREFIX}/usr"
+		SYSTEMD_SYSTEM_UNIT_DIR="$(systemd_get_systemunitdir)"
+		DEFAULT_MAKE_TARGET=all
+	EOF
+	if [[ ${PV} != "9999" ]] ; then
+		echo BEES_VERSION=v${PV} >>localconf || die
+	fi
+	if use tools; then
+		echo OPTIONAL_INSTALL_TARGETS=install_tools >>localconf || die
+	fi
+}
+
+src_compile() {
+	default
+	# localconf quotes leak in the systemd unit but are still needed for spaces
+	sed -i 's/"//g' scripts/beesd@.service || die
+}


             reply	other threads:[~2022-05-30  7:38 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-30  7:38 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-08 14:12 [gentoo-commits] repo/gentoo:master commit in: sys-fs/bees/ Joonas Niilola
2023-12-28 14:58 Sam James
2023-09-27 10:11 Joonas Niilola
2023-07-10  3:54 Sam James
2023-07-10  3:53 Sam James
2023-07-10  3:53 Sam James
2023-07-10  3:53 Sam James
2023-07-10  3:53 Sam James
2023-07-07  2:20 Sam James
2023-02-09 13:33 Joonas Niilola
2023-02-09 13:33 Joonas Niilola
2023-02-09 13:33 Joonas Niilola
2023-02-09 13:33 Joonas Niilola
2023-02-09 13:33 Joonas Niilola
2022-12-17 19:33 Sam James
2022-12-17 19:33 Sam James
2022-12-17 19:33 Sam James
2022-12-17 19:33 Sam James
2021-07-09  0:11 Ionen Wolkens
2021-07-07 18:47 Ionen Wolkens
2021-07-07 18:47 Ionen Wolkens
2021-01-04 13:56 Joonas Niilola
2021-01-04 13:56 Joonas Niilola
2020-11-07 20:04 Sam James
2019-11-30  7:50 Joonas Niilola
2019-11-30  7:50 Joonas Niilola
2019-11-28 16:34 Joonas Niilola
2019-11-28 16:34 Joonas Niilola
2019-06-18  5:40 Michał Górny
2019-06-18  5:40 Michał Górny
2018-10-01  8:01 Georgy Yakovlev
2018-10-01  8:01 Georgy Yakovlev
2018-09-29 20:08 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1653896088.120103aff5d5ec490578cfd51b392e4f532581a5.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox